	.file	"cube.c"
	.text
	.globl	onResize
	.type	onResize, @function
onResize:
.LFB22:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
	pushq	%r12
	pushq	%rbx
	.cfi_offset 12, -24
	.cfi_offset 3, -32
1:	call	mcount
	movl	%edi, %r12d
	movl	%esi, %ebx
	movl	%esi, %ecx
	movl	%edi, %edx
	movl	$0, %esi
	movl	$0, %edi
	call	glViewport
	movl	%ebx, %ecx
	movl	%r12d, %edx
	movl	$0, %esi
	movl	$0, %edi
	call	glScissor
	movl	$5889, %edi
	call	glMatrixMode
	call	glLoadIdentity
	pxor	%xmm1, %xmm1
	cvtsi2ssl	%r12d, %xmm1
	pxor	%xmm0, %xmm0
	cvtsi2ssl	%ebx, %xmm0
	divss	%xmm0, %xmm1
	movsd	.LC0(%rip), %xmm3
	movsd	.LC1(%rip), %xmm2
	cvtss2sd	%xmm1, %xmm1
	movsd	.LC2(%rip), %xmm0
	call	gluPerspective
	movl	$5888, %edi
	call	glMatrixMode
	call	glLoadIdentity
	popq	%rbx
	popq	%r12
	popq	%rbp
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE22:
	.size	onResize, .-onResize
	.globl	beginCubeMapRendering
	.type	beginCubeMapRendering, @function
beginCubeMapRendering:
.LFB23:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
	pushq	%rbx
	subq	$24, %rsp
	.cfi_offset 3, -24
1:	call	mcount
	movl	%edi, %ebx
	leaq	-32(%rbp), %rsi
	movl	$2978, %edi
	call	glGetIntegerv
	movl	-24(%rbp), %eax
	movl	%eax, m_viewportWidth(%rip)
	movl	-20(%rbp), %eax
	movl	%eax, m_viewportHeight(%rip)
	movl	%ebx, %ecx
	movl	%ebx, %edx
	movl	$0, %esi
	movl	$0, %edi
	call	glViewport
	movl	%ebx, %ecx
	movl	%ebx, %edx
	movl	$0, %esi
	movl	$0, %edi
	call	glScissor
	movl	$5889, %edi
	call	glMatrixMode
	call	glLoadIdentity
	movsd	.LC3(%rip), %xmm3
	movsd	.LC4(%rip), %xmm2
	movsd	.LC1(%rip), %xmm1
	movsd	.LC5(%rip), %xmm0
	call	gluPerspective
	movl	$5888, %edi
	call	glMatrixMode
	movq	-8(%rbp), %rbx
	leave
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE23:
	.size	beginCubeMapRendering, .-beginCubeMapRendering
	.globl	beginCubeMapFace
	.type	beginCubeMapFace, @function
beginCubeMapFace:
.LFB24:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
	pushq	%rbx
	subq	$152, %rsp
	.cfi_offset 3, -24
1:	call	mcount
	movl	%edi, %ebx
	movss	.LC6(%rip), %xmm1
	movss	%xmm1, -160(%rbp)
	movl	$0x00000000, -156(%rbp)
	movl	$0x00000000, -152(%rbp)
	movl	$0x00000000, -148(%rbp)
	movss	.LC8(%rip), %xmm0
	movss	%xmm0, -144(%rbp)
	movl	$0x00000000, -140(%rbp)
	movss	%xmm0, -136(%rbp)
	movl	$0x00000000, -132(%rbp)
	movl	$0x00000000, -128(%rbp)
	movl	$0x00000000, -124(%rbp)
	movss	%xmm0, -120(%rbp)
	movl	$0x00000000, -116(%rbp)
	movl	$0x00000000, -112(%rbp)
	movss	%xmm1, -108(%rbp)
	movl	$0x00000000, -104(%rbp)
	movl	$0x00000000, -100(%rbp)
	movl	$0x00000000, -96(%rbp)
	movss	%xmm1, -92(%rbp)
	movl	$0x00000000, -88(%rbp)
	movss	%xmm0, -84(%rbp)
	movl	$0x00000000, -80(%rbp)
	movl	$0x00000000, -76(%rbp)
	movl	$0x00000000, -72(%rbp)
	movss	%xmm0, -68(%rbp)
	movl	$0x00000000, -64(%rbp)
	movl	$0x00000000, -60(%rbp)
	movss	%xmm1, -56(%rbp)
	movl	$0x00000000, -52(%rbp)
	movss	%xmm0, -48(%rbp)
	movl	$0x00000000, -44(%rbp)
	movl	$0x00000000, -40(%rbp)
	movl	$0x00000000, -36(%rbp)
	movss	%xmm0, -32(%rbp)
	movl	$0x00000000, -28(%rbp)
	movss	%xmm0, -24(%rbp)
	movl	$0x00000000, -20(%rbp)
	movl	$256, %edi
	call	glClear
	call	glLoadIdentity
	movslq	%ebx, %rdi
	leaq	(%rdi,%rdi), %rax
	leaq	(%rax,%rdi), %r9
	subq	$16, %rsp
	pxor	%xmm0, %xmm0
	cvtss2sd	-140(%rbp,%r9,8), %xmm0
	movsd	%xmm0, (%rsp)
	pxor	%xmm7, %xmm7
	cvtss2sd	-144(%rbp,%r9,8), %xmm7
	pxor	%xmm6, %xmm6
	cvtss2sd	-148(%rbp,%r9,8), %xmm6
	pxor	%xmm5, %xmm5
	cvtss2sd	-152(%rbp,%r9,8), %xmm5
	pxor	%xmm4, %xmm4
	cvtss2sd	-156(%rbp,%r9,8), %xmm4
	pxor	%xmm3, %xmm3
	cvtss2sd	-160(%rbp,%r9,8), %xmm3
	pxor	%xmm2, %xmm2
	movapd	%xmm2, %xmm1
	movapd	%xmm2, %xmm0
	call	gluLookAt
	addq	$16, %rsp
	movq	-8(%rbp), %rbx
	leave
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE24:
	.size	beginCubeMapFace, .-beginCubeMapFace
	.globl	finishCubeMapFace
	.type	finishCubeMapFace, @function
finishCubeMapFace:
.LFB25:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
	pushq	%r12
	pushq	%rbx
	.cfi_offset 12, -24
	.cfi_offset 3, -32
1:	call	mcount
	movl	%edi, %ebx
	movl	%esi, %r12d
	movl	m_cubeMapTex(%rip), %esi
	movl	$34067, %edi
	call	glBindTexture
	cmpb	$0, m_cubeMapInitialized(%rip)
	je	.L5
	leal	34069(%rbx), %edi
	pushq	%r12
	pushq	%r12
	movl	$0, %r9d
	movl	$0, %r8d
	movl	$0, %ecx
	movl	$0, %edx
	movl	$0, %esi
	call	glCopyTexSubImage2D
	addq	$16, %rsp
.L4:
	leaq	-16(%rbp), %rsp
	popq	%rbx
	popq	%r12
	popq	%rbp
	.cfi_remember_state
	.cfi_def_cfa 7, 8
	ret
.L5:
	.cfi_restore_state
	leal	34069(%rbx), %edi
	pushq	$0
	pushq	%r12
	movl	%r12d, %r9d
	movl	$0, %r8d
	movl	$0, %ecx
	movl	$32849, %edx
	movl	$0, %esi
	call	glCopyTexImage2D
	addq	$16, %rsp
	jmp	.L4
	.cfi_endproc
.LFE25:
	.size	finishCubeMapFace, .-finishCubeMapFace
	.globl	endCubeMapRendering
	.type	endCubeMapRendering, @function
endCubeMapRendering:
.LFB26:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
1:	call	mcount
	movb	$1, m_cubeMapInitialized(%rip)
	movl	m_viewportHeight(%rip), %esi
	movl	m_viewportWidth(%rip), %edi
	call	onResize
	popq	%rbp
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE26:
	.size	endCubeMapRendering, .-endCubeMapRendering
	.globl	m_viewportHeight
	.bss
	.align 4
	.type	m_viewportHeight, @object
	.size	m_viewportHeight, 4
m_viewportHeight:
	.zero	4
	.globl	m_viewportWidth
	.align 4
	.type	m_viewportWidth, @object
	.size	m_viewportWidth, 4
m_viewportWidth:
	.zero	4
	.globl	m_cubeMapInitialized
	.type	m_cubeMapInitialized, @object
	.size	m_cubeMapInitialized, 1
m_cubeMapInitialized:
	.zero	1
	.globl	m_cubeMapTex
	.align 4
	.type	m_cubeMapTex, @object
	.size	m_cubeMapTex, 4
m_cubeMapTex:
	.zero	4
	.section	.rodata.cst8,"aM",@progbits,8
	.align 8
.LC0:
	.long	0
	.long	1083129856
	.align 8
.LC1:
	.long	0
	.long	1072693248
	.align 8
.LC2:
	.long	0
	.long	1078591488
	.align 8
.LC3:
	.long	0
	.long	1079574528
	.align 8
.LC4:
	.long	-1610612736
	.long	1069128089
	.align 8
.LC5:
	.long	0
	.long	1079410688
	.section	.rodata.cst4,"aM",@progbits,4
	.align 4
.LC6:
	.long	1065353216
	.align 4
.LC8:
	.long	-1082130432
	.ident	"GCC: (GNU) 12.2.1 20220819 (Red Hat 12.2.1-2)"
	.section	.note.GNU-stack,"",@progbits
